﻿@model Category
@{
    ViewData["Title"] = "Detail";
}


<div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Deatail</h4>
                   <table>
                       <thead>
                           <tr>
                               <th>
                                   Name
                               </th>
                               <th>
                                   IsMain
                               </th>
                               @if (Model.IsMain==true)
	                             {
		                            <th>Image</th>
                                    <th>Child Category</th>
                               }
                               else
                               {
                                   <th>Parent Category</th>
                               }

                           </tr>
                       </thead>
                       <tbody>
                           <tr>
                               <td>
                                   @Model.Name
                               </td>
                               <td>
                                   @Model.IsMain
                               </td>
                               @if (Model.IsMain)
                               {
                                   <td>
                                       <img src="~/assets/images/@Model.Image"/>
                                   </td>
                                   <td>
                                       @foreach(Category item in Model.Children)
                                      {
                                               <p>@item.Name</p>
                                         }
                                      
                                   </td>
                               }
                               else
                               {
                                   <td>
                                       <p>@ViewBag.Parent.Name</p>
                                   </td>
                               }
                           </tr>
                       </tbody>
                   </table>
                    </div>
                </div>
            </div>
        </div>

<div class="row">
    <div class="col-md-6 d-flex align-items-stretch">
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <a asp-action="Index">Go Back</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

